Index: quintagroup.analytics/trunk/quintagroup/analytics/browser/legacy_portlets.pt
===================================================================
--- quintagroup.analytics/trunk/quintagroup/analytics/browser/legacy_portlets.pt	(revision 3408)
+++ quintagroup.analytics/trunk/quintagroup/analytics/browser/legacy_portlets.pt	(revision 3464)
@@ -13,5 +13,5 @@
             <ul class="formTabs" id="navigation"  tal:define="template_id template/getId">
                 <span tal:repeat="formTabItem view/analiticsNavigation">
-                    <li class="formTab"><a tal:attributes="class python:'selected' if formTabItem['href'] in template_id else '';href python:formTabItem['href']" tal:content="python:formTabItem['content']">content</a></li>
+                    <li class="formTab"><a tal:attributes="class python:formTabItem['href'] in template_id and 'selected' or '';href python:formTabItem['href']" tal:content="python:formTabItem['content']">content</a></li>
                 </span>
             </ul>
Index: quintagroup.analytics/trunk/quintagroup/analytics/browser/ownership_by_state.pt
===================================================================
--- quintagroup.analytics/trunk/quintagroup/analytics/browser/ownership_by_state.pt	(revision 3408)
+++ quintagroup.analytics/trunk/quintagroup/analytics/browser/ownership_by_state.pt	(revision 3464)
@@ -12,5 +12,5 @@
             <ul class="formTabs" id="navigation"  tal:define="template_id template/getId">
                 <span tal:repeat="formTabItem view/analiticsNavigation">
-                    <li class="formTab"><a tal:attributes="class python:'selected' if formTabItem['href'] in template_id else '';href python:formTabItem['href']" tal:content="python:formTabItem['content']">content</a></li>
+                    <li class="formTab"><a tal:attributes="class python:formTabItem['href'] in template_id and 'selected' or '';href python:formTabItem['href']" tal:content="python:formTabItem['content']">content</a></li>
                 </span>
             </ul>
Index: quintagroup.analytics/trunk/quintagroup/analytics/browser/ownership_by_type.pt
===================================================================
--- quintagroup.analytics/trunk/quintagroup/analytics/browser/ownership_by_type.pt	(revision 3408)
+++ quintagroup.analytics/trunk/quintagroup/analytics/browser/ownership_by_type.pt	(revision 3464)
@@ -12,5 +12,5 @@
             <ul class="formTabs" id="navigation"  tal:define="template_id template/getId">
                 <span tal:repeat="formTabItem view/analiticsNavigation">
-                    <li class="formTab"><a tal:attributes="class python:'selected' if formTabItem['href'] in template_id else '';href python:formTabItem['href']" tal:content="python:formTabItem['content']">content</a></li>
+                    <li class="formTab"><a tal:attributes="class python:formTabItem['href'] in template_id and 'selected' or '';href python:formTabItem['href']" tal:content="python:formTabItem['content']">content</a></li>
                 </span>
             </ul>
Index: quintagroup.analytics/trunk/quintagroup/analytics/browser/portlets_stats.pt
===================================================================
--- quintagroup.analytics/trunk/quintagroup/analytics/browser/portlets_stats.pt	(revision 3408)
+++ quintagroup.analytics/trunk/quintagroup/analytics/browser/portlets_stats.pt	(revision 3464)
@@ -14,5 +14,5 @@
             <ul class="formTabs" id="navigation"  tal:define="template_id template/getId">
                 <span tal:repeat="formTabItem view/analiticsNavigation">
-                    <li class="formTab"><a tal:attributes="class python:'selected' if formTabItem['href'] in template_id else '';href python:formTabItem['href']" tal:content="python:formTabItem['content']">content</a></li>
+                    <li class="formTab"><a tal:attributes="class python:formTabItem['href'] in template_id and 'selected' or '';href python:formTabItem['href']" tal:content="python:formTabItem['content']">content</a></li>
                 </span>
             </ul>
Index: quintagroup.analytics/trunk/quintagroup/analytics/browser/properties_stats.pt
===================================================================
--- quintagroup.analytics/trunk/quintagroup/analytics/browser/properties_stats.pt	(revision 3408)
+++ quintagroup.analytics/trunk/quintagroup/analytics/browser/properties_stats.pt	(revision 3464)
@@ -14,5 +14,5 @@
             <ul class="formTabs" id="navigation"  tal:define="template_id template/getId">
                 <span tal:repeat="formTabItem view/analiticsNavigation">
-                    <li class="formTab"><a tal:attributes="class python:'selected' if formTabItem['href'] in template_id else '';href python:formTabItem['href']" tal:content="python:formTabItem['content']">content</a></li>
+                    <li class="formTab"><a tal:attributes="class python:formTabItem['href'] in template_id and 'selected' or '';href python:formTabItem['href']" tal:content="python:formTabItem['content']">content</a></li>
                 </span>
             </ul>
Index: quintagroup.analytics/trunk/quintagroup/analytics/browser/qa_overview.pt
===================================================================
--- quintagroup.analytics/trunk/quintagroup/analytics/browser/qa_overview.pt	(revision 3408)
+++ quintagroup.analytics/trunk/quintagroup/analytics/browser/qa_overview.pt	(revision 3464)
@@ -12,5 +12,5 @@
             <ul class="formTabs" id="navigation"  tal:define="template_id template/getId">
                 <span tal:repeat="formTabItem view/analiticsNavigation">
-                    <li class="formTab"><a tal:attributes="class python:'selected' if formTabItem['href'] in template_id else '';href python:formTabItem['href']" tal:content="python:formTabItem['content']">content</a></li>
+                    <li class="formTab"><a tal:attributes="class python:formTabItem['href'] in template_id and 'selected' or '';href python:formTabItem['href']" tal:content="python:formTabItem['content']">content</a></li>
                 </span>
             </ul>
Index: quintagroup.analytics/trunk/quintagroup/analytics/browser/type_by_state.pt
===================================================================
--- quintagroup.analytics/trunk/quintagroup/analytics/browser/type_by_state.pt	(revision 3408)
+++ quintagroup.analytics/trunk/quintagroup/analytics/browser/type_by_state.pt	(revision 3464)
@@ -13,5 +13,5 @@
             <ul class="formTabs" id="navigation"  tal:define="template_id template/getId">
                 <span tal:repeat="formTabItem view/analiticsNavigation">
-                    <li class="formTab"><a tal:attributes="class python:'selected' if formTabItem['href'] in template_id else '';href python:formTabItem['href']" tal:content="python:formTabItem['content']">content</a></li>
+                    <li class="formTab"><a tal:attributes="class python:formTabItem['href'] in template_id and 'selected' or '';href python:formTabItem['href']" tal:content="python:formTabItem['content']">content</a></li>
                 </span>
             </ul>
Index: quintagroup.analytics/trunk/quintagroup/analytics/browser/views.py
===================================================================
--- quintagroup.analytics/trunk/quintagroup/analytics/browser/views.py	(revision 3408)
+++ quintagroup.analytics/trunk/quintagroup/analytics/browser/views.py	(revision 3464)
@@ -7,7 +7,12 @@
 from Products.CMFCore.interfaces import IFolderish
 from Products.Archetypes.interfaces import IBaseFolder
-from plone.portlets.interfaces import IPortletManager
-from plone.portlets.interfaces import IPortletAssignmentMapping
-from plone.portlets.interfaces import ILocalPortletAssignmentManager
+try:
+    from plone.portlets.interfaces import IPortletManager
+    from plone.portlets.interfaces import IPortletAssignmentMapping
+    from plone.portlets.interfaces import ILocalPortletAssignmentManager
+except ImportError:
+    IPortletManager = lambda assignment: {}
+    IPortletAssignmentMapping = lambda assignment: {}
+    ILocalPortletAssignmentManager = lambda assignment: {}
 try:
     from plone.portlets.interfaces import IPortletAssignmentSettings