Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/resources/drop_down.css
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/resources/drop_down.css	(revision 3490)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/resources/drop_down.css	(revision 3491)
@@ -95,3 +95,16 @@
   color:#205C90;
   }
+#portal-globalnav-mobile {
+  display:none;
+  }
 
+@media (max-width:5in) {
+#portal-globalnav.mobileMenuOn {
+  display:none;
+  }
+#portal-globalnav-mobile {
+  display:block;
+  margin:0.5em;
+  min-width:150px;
+  }   
+}
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/templates/sections.pt
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/templates/sections.pt	(revision 3490)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/templates/sections.pt	(revision 3491)
@@ -2,8 +2,14 @@
           tal:condition="menu"
           i18n:domain="plone">
-    <ul id="portal-globalnav">
+    <ul id="portal-globalnav" tal:attributes="class python:view.conf.mobile_menu and 'mobileMenuOn' or ''">
         <li tal:replace="structure menu">
             DropDown Menu
         </li>
     </ul>
+    <select id="portal-globalnav-mobile"
+            tal:condition="view/conf/mobile_menu"
+            tal:content="structure view/createMenuMobile"
+            onchange="location = this.options[this.selectedIndex].value;">
+        <option value="" selected="selected">Menu</option>
+    </select>
 </tal:tabs>
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/templates/sections_mobile.pt
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/templates/sections_mobile.pt	(revision 3491)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/templates/sections_mobile.pt	(revision 3491)
@@ -0,0 +1,25 @@
+<tal:master define="level options/level|python:0;
+                    children options/children | nothing;
+                    plonefour view/is_plone_four"
+            i18n:domain="plone">
+
+<metal:main define-macro="sections_main">
+<tal:navitem repeat="node children">
+<tal:option tal:define="show_children   node/show_children;
+                        children        node/children;
+                        item_url        node/getURL;
+                        is_current      node/currentItem;">
+    <option tal:attributes="value python:item_url;
+                            title node/Description;"
+            tal:condition="not:is_current"
+            ><span tal:repeat="l python:range(level-2)">&nbsp;&nbsp;</span><span tal:condition="python:level>1">&minus;&nbsp;</span><span tal:content="node/Title">Selected Item Title</span></option>
+    <option tal:attributes="value python:item_url;
+                            title node/Description;"
+            selected="selected"
+            tal:condition="is_current"
+            ><span tal:repeat="l python:range(level-2)">&nbsp;&nbsp;</span><span tal:condition="python:level>1">&minus;&nbsp;</span><span tal:content="node/Title">Selected Item Title</span></option>
+    <option tal:condition="python: len(children) > 0 and show_children" tal:replace="structure python:view.mobile(children=children, level=level+1)">SubMenu</option>
+</tal:option>
+</tal:navitem>
+</metal:main>
+</tal:master>
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/viewlets.py
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/viewlets.py	(revision 3490)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/viewlets.py	(revision 3491)
@@ -79,4 +79,5 @@
     index = ViewPageTemplateFile('templates/sections.pt')
     recurse = ViewPageTemplateFile('templates/sections_recurse.pt')
+    mobile = ViewPageTemplateFile('templates/sections_mobile.pt')
 
     def update(self):
@@ -255,4 +256,9 @@
 
     @dropdowncache
+    def createMenuMobile(self):
+        html = self.mobile(children=self.portal_tabs(), level=1)
+        return xhtmlslimmer.compress(html).strip('\n')
+
+    @dropdowncache
     def createMenu(self):
         html = self.recurse(children=self.portal_tabs(), level=1)
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/interfaces.py
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/interfaces.py	(revision 3490)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/interfaces.py	(revision 3491)
@@ -93,8 +93,14 @@
 
     caching_strategy = schema.Choice(
-    title=_(u"Select caching strategy"),
-    description=_(u"Caching strategy defines how the cache key will be built."
-                 ),
-    default="anonymous",
-    vocabulary=cachings
-    )
+        title=_(u"Select caching strategy"),
+        description=_(u"Caching strategy defines how the cache key will be "
+                      u"built."),
+        default="anonymous",
+        vocabulary=cachings
+        )
+
+    mobile_menu = schema.Bool(
+        title=_(u"Display menu as select for small screens"),
+        description=_(u"Use select tag to display menu for small screens"),
+        default=False,
+        )