Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/handlers.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/handlers.py	(revision 3500)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/handlers.py	(revision 3501)
@@ -27,6 +27,6 @@
         for sm in sitemaps:
             if wftrans_name in sm.getPingTransitions() and \
-                obj_ptype in sm.getPortalTypes():
-                    ping_google(plone_home, sm.id)
+                    obj_ptype in sm.getPortalTypes():
+                ping_google(plone_home, sm.id)
     return 0
 
Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/setuphandlers.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/setuphandlers.py	(revision 3500)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/setuphandlers.py	(revision 3501)
@@ -31,7 +31,9 @@
             name = registration.name
             lsm.unregisterAdapter(factory=factory,
-                required=required, provided=provided, name=name)
+                                  required=required,
+                                  provided=provided,
+                                  name=name)
             unregistered.append(str(required))
-    logger.info("Unregistered news schema extender adapters for: %s" \
+    logger.info("Unregistered news schema extender adapters for: %s"
                 % unregistered)
 
@@ -87,5 +89,5 @@
     if old_product in configlet_ids:
         controlpanel.unregisterConfiglet(old_product)
-        logger.info("Unregistered '%s' configlet from "\
+        logger.info("Unregistered '%s' configlet from "
                     "portal_controlpanel tool." % old_product)
     # Remove qPloneGoogleSitemaps skin layer
@@ -94,5 +96,5 @@
         paths = [l.strip() for l in skin_paths if not l == old_product]
         if len(paths) < len(skin_paths):
-            logger.info("Removed '%s' from '%s' skin." \
+            logger.info("Removed '%s' from '%s' skin."
                         % (old_product, skinName))
         skins.addSkinSelection(skinName, ','.join(paths))
@@ -103,5 +105,5 @@
     if smaps:
         logger.info(msg + "Process %s sitemaps." % (
-                [sm.getPath() for sm in smaps]))
+                    [sm.getPath() for sm in smaps]))
         fields = ['id', 'sitemapType', 'portalTypes', 'states',
                   'blackout_list', 'reg_exp', 'urls', 'pingTransitions']
@@ -127,5 +129,5 @@
     catalog = getToolByName(site, 'portal_catalog')
     smaps = catalog(portal_type="Sitemap")
-    old_smb = [smb for smb in smaps \
+    old_smb = [smb for smb in smaps
                if 'qPloneGoogleSitemaps' in str(smb.getObject().__class__)]
     return old_smb
Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/upgrades.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/upgrades.py	(revision 3500)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/upgrades.py	(revision 3501)
@@ -18,13 +18,11 @@
     portal = purl.getPortalObject()
     allCTTypes = types.listContentTypes()
-    obj_metatypes = [m.content_meta_type for m in types.objectValues() \
+    obj_metatypes = [m.content_meta_type for m in types.objectValues()
                      if m.getId() in allCTTypes]
     convertor = CanonicalConvertor(portal_url=purl())
-    portal.ZopeFindAndApply(
-                            portal,
+    portal.ZopeFindAndApply(portal,
                             obj_metatypes=','.join(obj_metatypes),
                             apply_func=renameProperty,
-                            search_sub=1,
-                            )
+                            search_sub=1,)
     print convertor.getLogs()
 
Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/utils.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/utils.py	(revision 3500)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/utils.py	(revision 3501)
@@ -1,4 +1,4 @@
 from urllib2 import urlopen
-from urllib  import quote as urlquote
+from urllib import quote as urlquote
 from DateTime import DateTime
 
@@ -21,5 +21,5 @@
     sitemap_url = urlquote(resurl)
 
-    g = urlopen('http://www.google.com/webmasters/tools/ping?sitemap=' + \
+    g = urlopen('http://www.google.com/webmasters/tools/ping?sitemap=' +
                 sitemap_url)
     g.read()