Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/testBlackoutList.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/testBlackoutList.py	(revision 3501)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/testBlackoutList.py	(revision 3502)
@@ -16,13 +16,13 @@
     def testDefaultId(self):
         idfilter = queryMultiAdapter((self.portal, self.app.REQUEST),
-                       IBlackoutFilter, name="id")
+                                     IBlackoutFilter, name="id")
         self.assertTrue(idfilter is not None,
-            "Not registered default 'id' IBlackoutFilter")
+                        "Not registered default 'id' IBlackoutFilter")
 
     def testDefaultPath(self):
         pathfilter = queryMultiAdapter((self.portal, self.app.REQUEST),
-                         IBlackoutFilter, name="path")
+                                       IBlackoutFilter, name="path")
         self.assertTrue(pathfilter is not None,
-            "Not registered default 'path' IBlackoutFilter")
+                        "Not registered default 'path' IBlackoutFilter")
 
 
@@ -59,11 +59,12 @@
         catpaths, filtered = self.getPreparedLists("id", "doc1")
         self.assertTrue(type(filtered) in [ListType, TupleType],
-            'Object type, returned by filteredOut method of "id" filter '\
-            'not list nor tuple')
+                        'Object type, returned by filteredOut method'
+                        ' of "id" filter '
+                        'not list nor tuple')
         excluded = ["/%s/doc1" % self.portal.absolute_url(1),
                     "/%s/doc1" % self.folder.absolute_url(1)]
         self.assertTrue(
             set(catpaths) - set(filtered) == set(excluded),
-            'Wrong filtered-out by "id" filter:\nsrc %s\nres %s\nexcluded %s' \
+            'Wrong filtered-out by "id" filter:\nsrc %s\nres %s\nexcluded %s'
             % (catpaths, filtered, excluded))
 
@@ -71,10 +72,11 @@
         catpaths, filtered = self.getPreparedLists("path", "/doc1")
         self.assertTrue(type(filtered) in [ListType, TupleType],
-            'Object type, returned by filteredOut method of "path" filter '\
-            'not list nor tuple')
+                        'Object type, returned by filteredOut method'
+                        ' of "path" filter '
+                        'not list nor tuple')
         excluded = ["/%s/doc1" % self.portal.absolute_url(1)]
         self.assertTrue(
             set(catpaths) - set(filtered) == set(excluded),
-            'Wrong filtered-out by "path" filter:\nsrc %s\nres %s\nexcluded ' \
+            'Wrong filtered-out by "path" filter:\nsrc %s\nres %s\nexcluded '
             '%s' % (catpaths, filtered, excluded))
 
@@ -84,10 +86,11 @@
         catpaths, filtered = self.getPreparedLists("path", "./doc1")
         self.assertTrue(type(filtered) in [ListType, TupleType],
-            'Object type, returned by filteredOut method of "path" utility '\
-            'not list nor tuple')
+                        'Object type, returned by filteredOut method'
+                        ' of "path" utility '
+                        'not list nor tuple')
         excluded = ["/%s/doc1" % self.folder.absolute_url(1)]
         self.assertTrue(
             set(catpaths) - set(filtered) == set(excluded),
-            'Wrong filtered-out by "path" filter:\nsrc %s\nres %s\nexcluded ' \
+            'Wrong filtered-out by "path" filter:\nsrc %s\nres %s\nexcluded '
             '%s' % (catpaths, filtered, excluded))
 
@@ -112,6 +115,7 @@
                     "%s/front-page" % self.portal.absolute_url()]
         self.assertTrue(set(catpaths) - set(filtered) == set(excluded),
-            'Wrong filtered-out by "id" filter:\nsrc %s\nres %s\nexcluded %s' \
-            % (catpaths, filtered, excluded))
+                        'Wrong filtered-out by'
+                        ' "id" filter:\nsrc %s\nres %s\nexcluded %s'
+                        % (catpaths, filtered, excluded))
 
     def testDefaultFilterUtility(self):
@@ -121,6 +125,7 @@
                     "%s/doc1" % self.folder.absolute_url()]
         self.assertTrue(set(catpaths) - set(filtered) == set(excluded),
-            'Wrong filtered-out by "id" filter:\nsrc %s\nres %s\nexcluded %s' \
-            % (catpaths, filtered, excluded))
+                        'Wrong filtered-out by "id" '
+                        'filter:\nsrc %s\nres %s\nexcluded %s'
+                        % (catpaths, filtered, excluded))
         # Now check is output of unnamed filter samed to named one.
         self.sm.edit(blackout_list=["doc1", ])
@@ -128,6 +133,8 @@
         map(lambda l: l.sort(), (filtered, filtered_dflt))
         self.assertTrue(filtered == filtered_dflt,
-            'Output of named "id" filter is not same to unnamed one:\n' \
-            'id-named: %s\nunnamed: %s' % (filtered, filtered_dflt))
+                        'Output of named "id" filter '
+                        'is not same to unnamed one:\n'
+                        'id-named: %s\nunnamed: %s'
+                        % (filtered, filtered_dflt))
 
     # def testGetCorrectFilterName(self):
Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/testConfiglet.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/testConfiglet.py	(revision 3501)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/testConfiglet.py	(revision 3502)
@@ -32,6 +32,6 @@
 
     def testAddContentSitemap(self):
-        resp = self.submitForm(
-                   {'form.button.AddContent': "Add Content Sitemap"})
+        resp = self.submitForm({'form.button.AddContent':
+                                "Add Content Sitemap"})
         self.assertEqual(resp.getStatus() / 100, 3)
         sm_edit = "sitemap.xml/edit"
@@ -41,5 +41,5 @@
         #self.portal["sitemap.xml"].setPortalTypes(("Documents",))
         newform = self.publish(self.settingsURL, basic=self.auth).getBody()
-        self.assertEqual('href="http://nohost/plone/sitemap.xml/edit"' in \
+        self.assertEqual('href="http://nohost/plone/sitemap.xml/edit"' in
                          newform, True)
         self.assertEqual("form.button.AddContent" in newform, False)
@@ -54,5 +54,5 @@
         #self.portal["news-sitemap.xml"].setPortalTypes(("News Item",))
         newform = self.publish(self.settingsURL, basic=self.auth).getBody()
-        self.assertEqual('href="http://nohost/plone/news-sitemap.xml/edit"' \
+        self.assertEqual('href="http://nohost/plone/news-sitemap.xml/edit"'
                          in newform, True)
         self.assertEqual("form.button.AddNews" in newform, False)
@@ -67,5 +67,5 @@
         #self.portal["mobile-sitemap.xml"].setPortalTypes(("Documents",))
         newform = self.publish(self.settingsURL, basic=self.auth).getBody()
-        self.assertEqual('href="http://nohost/plone/mobile-sitemap.xml/edit"' \
+        self.assertEqual('href="http://nohost/plone/mobile-sitemap.xml/edit"'
                          in newform, True)
         self.assertEqual("form.button.AddMobile" in newform, False)
Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/testGoogleSitemaps.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/testGoogleSitemaps.py	(revision 3501)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/testGoogleSitemaps.py	(revision 3502)
@@ -89,5 +89,5 @@
                           '/prefs_gsm_verification'
         verif_config = self.publish(verifyConfigUrl, self.auth).getBody()
-        rexp_input_acitve = re.compile('<input\s+name="verification_file"' \
+        rexp_input_acitve = re.compile('<input\s+name="verification_file"'
                                        '\s+([^>]*)>', re.I | re.S)
         rexp_button_acitve = re.compile(
@@ -101,5 +101,5 @@
 
         self.assert_(input_acitve and not 'disabled' in input_acitve.groups(1))
-        self.assert_(button_acitve and not 'disabled' in \
+        self.assert_(button_acitve and not 'disabled' in
                      button_acitve.groups(1))
         self.assert_(not delete_button)
@@ -143,13 +143,19 @@
 
             self.assertEqual(response.getStatus(), 200)
-            self.assert_(fname in \
-                 self.gsm_props.getProperty('verification_filenames', []),
-                 self.gsm_props.getProperty('verification_filenames', []))
+            self.assert_(fname in
+                         self.gsm_props.getProperty('verification_filenames',
+                                                    []),
+                         self.gsm_props.getProperty('verification_filenames',
+                                                    []))
             fnames.append(fname)
 
-        self.assertEqual(len([1 for vf in fnames \
-            if vf in \
-                self.gsm_props.getProperty('verification_filenames', [])]), 2,
-                self.gsm_props.getProperty('verification_filenames', []))
+        self.assertEqual(len([1 for vf in fnames
+                         if
+                         vf
+                         in
+                         self.gsm_props.getProperty('verification_filenames',
+                                                    [])]), 2,
+                         self.gsm_props.getProperty('verification_filenames',
+                                                    []))
 
 
Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/testInstallation.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/testInstallation.py	(revision 3501)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/testInstallation.py	(revision 3502)
@@ -15,13 +15,13 @@
         pt = self.portal.portal_types
         self.assert_('Sitemap' in pt.objectIds(),
-            'No "Sitemap" type after installation')
+                     'No "Sitemap" type after installation')
         #Test views
         views = pt.getTypeInfo('Sitemap').view_methods
         self.assert_('sitemap.xml' in views,
-            'No "sitemap.xml" view for Sitemap type')
+                     'No "sitemap.xml" view for Sitemap type')
         self.assert_('mobile-sitemap.xml' in views,
-            'No "mobile-sitemap.xml" view for Sitemap type')
+                     'No "mobile-sitemap.xml" view for Sitemap type')
         self.assert_('news-sitemap.xml' in views,
-            'No "news-sitemap.xml" view for Sitemap type')
+                     'No "news-sitemap.xml" view for Sitemap type')
 
     def testGSMProperties(self):
@@ -29,11 +29,14 @@
 
         # Test types_not_searched
-        self.assert_("Sitemap" in \
-            pp['site_properties'].getProperty('types_not_searched'),
-            'No "Sitemap" added to types not searched on installation')
+        self.assert_("Sitemap" in
+                     pp['site_properties'].getProperty('types_not_searched'),
+                     'No "Sitemap" added to types not searched '
+                     'on installation')
         # Test metaTypesNotToList
-        self.assert_("Sitemap" in \
-            pp['navtree_properties'].getProperty('metaTypesNotToList'),
-            'No "Sitemap" added to types not to list on installation')
+        self.assert_("Sitemap" in
+                     pp['navtree_properties'].
+                     getProperty('metaTypesNotToList'),
+                     'No "Sitemap" added to types not to '
+                     'list on installation')
 
         # Test 'googlesitemap_properties'