Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/Extensions/Install.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/Extensions/Install.py	(revision 3505)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/Extensions/Install.py	(revision 3506)
@@ -20,5 +20,5 @@
         step = None
         profile_id = 'quintagroup.plonegooglesitemaps:default'
-        steps_to_run = [s['id'] for s in \
+        steps_to_run = [s['id'] for s in
                         ps.listUpgrades(profile_id, show_old=False)]
         for step_id in steps_to_run:
Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/browser/commonview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/browser/commonview.py	(revision 3505)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/browser/commonview.py	(revision 3506)
@@ -110,5 +110,6 @@
             fname = fspec and fspec.pop() or "id"
             fengine = queryMultiAdapter((self.context, self.request),
-                          interface=IBlackoutFilter, name=fname)
+                                        interface=IBlackoutFilter,
+                                        name=fname)
             if fengine:
                 objects = list(fengine.filterOut(objects, fargs))
Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/browser/configletview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/browser/configletview.py	(revision 3505)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/browser/configletview.py	(revision 3506)
@@ -25,9 +25,9 @@
     """
 
-    sitemaps = Attribute("Returns mapping of sitemap's type to list of " \
+    sitemaps = Attribute("Returns mapping of sitemap's type to list of "
                          "appropriate objects")
-    hasContentSM = Attribute("Returns boolean about existance of content " \
+    hasContentSM = Attribute("Returns boolean about existance of content "
                              "sitemap")
-    hasMobileSM = Attribute("Returns boolean about existance of mobile " \
+    hasMobileSM = Attribute("Returns boolean about existance of mobile "
                             "sitemap")
     hasNewsSM = Attribute("Returns boolean about existance of news sitemap")
@@ -73,5 +73,5 @@
         self.pps = queryMultiAdapter((self.context, self.request),
                                      name="plone_portal_state")
-        self.sitemaps = [i.getObject() for i in \
+        self.sitemaps = [i.getObject() for i in
                          self.tools.catalog()(portal_type='Sitemap')]
 
@@ -97,7 +97,7 @@
             smlist = sitemaps.setdefault(sm.getSitemapType(), [])
             smlist.append({'url': sm.absolute_url(), 'id': sm.id})
+
         sitemaps['all'] = sitemaps.setdefault('content', []) + \
-                          sitemaps.setdefault('mobile', []) + \
-                          sitemaps.setdefault('news', [])
+            sitemaps.setdefault('mobile', []) + sitemaps.setdefault('news', [])
         return sitemaps
 
@@ -128,5 +128,5 @@
                 'sm_size': size and splitNum(size) or '',
                 'sm_entries': entries and splitNum(entries) or '',
-               }
+                }
 
     def getSitemapData(self, ob):
@@ -150,6 +150,6 @@
         portal.manage_delObjects([self.request.id, ])
         self.request.RESPONSE.redirect(
-                                urlparse.urljoin(self.context.absolute_url,
-                                'prefs_gsm_verification'))
+            urlparse.urljoin(self.context.absolute_url,
+                             'prefs_gsm_verification'))
 
     def getVerificationFiles(self):
Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/browser/mobilesitemapview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/browser/mobilesitemapview.py	(revision 3505)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/browser/mobilesitemapview.py	(revision 3506)
@@ -24,3 +24,3 @@
             object_provides=MOBILE_INTERFACES,
             is_default_page=False,
-            )
+        )
Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/browser/newssitemapview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/browser/newssitemapview.py	(revision 3505)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/browser/newssitemapview.py	(revision 3506)
@@ -21,14 +21,14 @@
 
         return (
-            ('publication_date', lambda x: x.Date and \
-                                 formatDate(x.Date) or ""),
+            ('publication_date',
+             lambda x: x.Date and formatDate(x.Date) or ""),
             ('keywords', lambda x: x.Subject and ', '.join(x.Subject) or ""),
             ('title', lambda x: x.Title or x.getId or x.id),
-            ('name', lambda x: x.Title and \
-                     reTrailingParenthtical.sub("", x.Title) or ""),
+            ('name', lambda x: x.Title and
+                reTrailingParenthtical.sub("", x.Title) or ""),
             ('language', lambda x: x.Language or self.default_language()),
             ('access', lambda x: x.gsm_access or ""),
-            ('genres', lambda x: x.gsm_genres and \
-                       ", ".join(x.gsm_genres) or ""),
+            ('genres', lambda x: x.gsm_genres and
+                ", ".join(x.gsm_genres) or ""),
             ('stock', lambda x: x.gsm_stock or ""),
         )
@@ -49,3 +49,3 @@
                        "range": "min"},
             is_default_page=False
-            )
+        )
Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/browser/sitemapview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/browser/sitemapview.py	(revision 3505)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/browser/sitemapview.py	(revision 3506)
@@ -21,3 +21,3 @@
             review_state=self.context.getStates(),
             is_default_page=False
-            )
+        )
Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/content/newsextender.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/content/newsextender.py	(revision 3505)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/content/newsextender.py	(revision 3506)
@@ -22,5 +22,5 @@
 
 access_lst = ["Subscription", "Registration"]
-genres_lst = ["PressRelease", "Satire", "Blog", "OpEd", "Opinion", \
+genres_lst = ["PressRelease", "Satire", "Blog", "OpEd", "Opinion",
               "UserGenerated"]
 
@@ -31,7 +31,8 @@
 
     fields = [
-        ExtendableStringField("gsm_access",
+        ExtendableStringField(
+            "gsm_access",
             accessor="gsm_access",
-            vocabulary=DisplayList(zip(["", ] + access_lst, \
+            vocabulary=DisplayList(zip(["", ] + access_lst,
                                    ["Open access", ] + access_lst)),
             default="",
@@ -39,10 +40,11 @@
             widget=SelectionWidget(
                 label="Access",
-                description="Specifies whether an article is available to " \
-                    "all readers (in case of the emtpy field, or only to " \
+                description="Specifies whether an article is available to "
+                    "all readers (in case of the emtpy field, or only to "
                     "those with a free or paid membership to your site.",
                 format="radio"),
         ),
-        ExtendableLinesField("gsm_genres",
+        ExtendableLinesField(
+            "gsm_genres",
             accessor="gsm_genres",
             vocabulary=DisplayList(zip(genres_lst, genres_lst)),
@@ -51,11 +53,12 @@
             widget=MultiSelectionWidget(
                 label="Genres",
-                description="Select one or more properties for an article, " \
-                    "namely, whether it is a press release, a blog post, an " \
-                    "opinion, an op-ed piece, user-generated content, " \
-                    "or satire.",
+                description="Select one or more properties for an article, "
+                            "namely, whether it is a press release, "
+                            "a blog post, an opinion, an op-ed piece, "
+                            "user-generated content, or satire.",
                 format="checkbox"),
         ),
-        ExtendableStringField("gsm_stock",
+        ExtendableStringField(
+            "gsm_stock",
             accessor="gsm_stock",
             default="",
@@ -63,11 +66,11 @@
             widget=StringWidget(
                 label="Stock Tickers",
-                description="A comma-separated list of up to 5 stock tickers "\
-                    "of the companies, mutual funds, or other financial " \
-                    "entities that are the main subject of the article. " \
-                    "Relevant primarily for business articles. Each ticker " \
-                    "must be prefixed by the name of its stock exchange, " \
-                    "and must match its entry in Google Finance. " \
-                    "For example, \"NASDAQ:AMAT\" (but not \"NASD:AMAT\"), " \
+                description="A comma-separated list of up to 5 stock tickers "
+                    "of the companies, mutual funds, or other financial "
+                    "entities that are the main subject of the article. "
+                    "Relevant primarily for business articles. Each ticker "
+                    "must be prefixed by the name of its stock exchange, "
+                    "and must match its entry in Google Finance. "
+                    "For example, \"NASDAQ:AMAT\" (but not \"NASD:AMAT\"), "
                     "or \"BOM:500325\" (but not \"BOM:RIL\").",
                 size=70),
Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/content/sitemap.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/content/sitemap.py	(revision 3505)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/content/sitemap.py	(revision 3506)
@@ -52,5 +52,5 @@
         widget=atapi.MultiSelectionWidget(
             label=_(u"Review status"),
-            description=_(u"You may include items in sitemap depend of " \
+            description=_(u"You may include items in sitemap depend of "
                           u"their review state."),
         ),
@@ -65,10 +65,10 @@
             label=_(u"Blackout entries"),
             description=_(
-                u"Objects which match filter condition will be excluded " \
-                u"from the sitemap.Every record should follow the spec: " \
-                u"[<filter name>:]<filter arguments>. By default there are " \
-                u"\"id\" and \"path\" filters (\"id\" used if filter name " \
-                u"not specified). There is possibility to add new filters. " \
-                u"Look into README.txt of the " \
+                u"Objects which match filter condition will be excluded "
+                u"from the sitemap.Every record should follow the spec: "
+                u"[<filter name>:]<filter arguments>. By default there are "
+                u"\"id\" and \"path\" filters (\"id\" used if filter name "
+                u"not specified). There is possibility to add new filters. "
+                u"Look into README.txt of the "
                 u"quintagroup.plonegooglesitemaps package."),
         ),
@@ -82,13 +82,13 @@
         widget=atapi.LinesWidget(
             label=_(u"URL processing Regular Expressions"),
-            description=_(u"Provide regular expressions (in Perl syntax), " \
-                          u"one per line to be applied to URLs before " \
-                          u"including them into Sitemap. Example 1: " \
-                          u"\"s/\/index_html//\" will remove /index_html " \
-                          u"from URLs representing default documents. " \
-                          u"Example 2: " \
-                          u"\"s/[you_site\/internal\/path]/[domain]/\" will " \
-                          u"fix URLs in the sitemap in case they are " \
-                          u"generated on the basis of your site internal" \
+            description=_(u"Provide regular expressions (in Perl syntax), "
+                          u"one per line to be applied to URLs before "
+                          u"including them into Sitemap. Example 1: "
+                          u"\"s/\/index_html//\" will remove /index_html "
+                          u"from URLs representing default documents. "
+                          u"Example 2: "
+                          u"\"s/[you_site\/internal\/path]/[domain]/\" will "
+                          u"fix URLs in the sitemap in case they are "
+                          u"generated on the basis of your site internal"
                           u"path rather than your site domain URL. "),
         ),
@@ -103,5 +103,5 @@
         widget=atapi.LinesWidget(
             label=_(u"Additional URLs"),
-            description=_(u"Define additional URLs that are not objects and " \
+            description=_(u"Define additional URLs that are not objects and "
                           u"that should be included in sitemap."),
         ),
@@ -115,5 +115,5 @@
         widget=atapi.MultiSelectionWidget(
             label=_(u"Pinging workflow transitions"),
-            description=_(u"Select workflow transitions for pinging " \
+            description=_(u"Select workflow transitions for pinging "
                           u"google on."),
         ),
@@ -170,7 +170,8 @@
             for wf_tr in wf.transitions.values():
                 if wf_tr.after_script_name in AVAILABLE_WF_SCRIPTS:
-                    wf_trans.append(("%s#%s" % (wf_id, wf_tr.id),
-                        "%s : %s (%s)" % (wf_id, wf_tr.id, \
-                                          wf_tr.title_or_id())))
+                    wf_trans.append(
+                        ("%s#%s" % (wf_id, wf_tr.id),
+                         "%s : %s (%s)" % (wf_id, wf_tr.id,
+                                           wf_tr.title_or_id())))
         return atapi.DisplayList(wf_trans)
 
Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/testUpgrade.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/testUpgrade.py	(revision 3505)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/testUpgrade.py	(revision 3506)
@@ -42,7 +42,7 @@
         # Test registered upgrade profiles
         pids = [i['id'] for i in self.setup.listProfileInfo()]
-        self.assertEqual("quintagroup.plonegooglesitemaps:upgrade_1_0_to_1_1" \
+        self.assertEqual("quintagroup.plonegooglesitemaps:upgrade_1_0_to_1_1"
                          in pids, True)
-        self.assertEqual("quintagroup.plonegooglesitemaps:upgrade_1_1_to_1_2" \
+        self.assertEqual("quintagroup.plonegooglesitemaps:upgrade_1_1_to_1_2"
                          in pids, True)
 
Index: /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/test_doctest.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/test_doctest.py	(revision 3505)
+++ /quintagroup.plonegooglesitemaps/branches/sitemap_date/quintagroup/plonegooglesitemaps/tests/test_doctest.py	(revision 3506)
@@ -28,6 +28,6 @@
             test_class=DocTestCase, globs=globals(),
             optionflags=doctest.NORMALIZE_WHITESPACE | doctest.ELLIPSIS),
-                       # | doctest.REPORT_ONLY_FIRST_FAILURE |
-        ])
+        # | doctest.REPORT_ONLY_FIRST_FAILURE |
+    ])
 
 if __name__ == '__main__':