Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testBlackoutList.py
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testBlackoutList.py	(revision 3163)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testBlackoutList.py	(revision 3510)
@@ -16,13 +16,13 @@
     def testDefaultId(self):
         idfilter = queryMultiAdapter((self.portal, self.app.REQUEST),
-                       IBlackoutFilter, name="id")
+                                     IBlackoutFilter, name="id")
         self.assertTrue(idfilter is not None,
-            "Not registered default 'id' IBlackoutFilter")
+                        "Not registered default 'id' IBlackoutFilter")
 
     def testDefaultPath(self):
         pathfilter = queryMultiAdapter((self.portal, self.app.REQUEST),
-                         IBlackoutFilter, name="path")
+                                       IBlackoutFilter, name="path")
         self.assertTrue(pathfilter is not None,
-            "Not registered default 'path' IBlackoutFilter")
+                        "Not registered default 'path' IBlackoutFilter")
 
 
@@ -59,11 +59,12 @@
         catpaths, filtered = self.getPreparedLists("id", "doc1")
         self.assertTrue(type(filtered) in [ListType, TupleType],
-            'Object type, returned by filteredOut method of "id" filter '\
-            'not list nor tuple')
+                        'Object type, returned by filteredOut method'
+                        ' of "id" filter '
+                        'not list nor tuple')
         excluded = ["/%s/doc1" % self.portal.absolute_url(1),
                     "/%s/doc1" % self.folder.absolute_url(1)]
         self.assertTrue(
             set(catpaths) - set(filtered) == set(excluded),
-            'Wrong filtered-out by "id" filter:\nsrc %s\nres %s\nexcluded %s' \
+            'Wrong filtered-out by "id" filter:\nsrc %s\nres %s\nexcluded %s'
             % (catpaths, filtered, excluded))
 
@@ -71,10 +72,11 @@
         catpaths, filtered = self.getPreparedLists("path", "/doc1")
         self.assertTrue(type(filtered) in [ListType, TupleType],
-            'Object type, returned by filteredOut method of "path" filter '\
-            'not list nor tuple')
+                        'Object type, returned by filteredOut method'
+                        ' of "path" filter '
+                        'not list nor tuple')
         excluded = ["/%s/doc1" % self.portal.absolute_url(1)]
         self.assertTrue(
             set(catpaths) - set(filtered) == set(excluded),
-            'Wrong filtered-out by "path" filter:\nsrc %s\nres %s\nexcluded ' \
+            'Wrong filtered-out by "path" filter:\nsrc %s\nres %s\nexcluded '
             '%s' % (catpaths, filtered, excluded))
 
@@ -84,10 +86,11 @@
         catpaths, filtered = self.getPreparedLists("path", "./doc1")
         self.assertTrue(type(filtered) in [ListType, TupleType],
-            'Object type, returned by filteredOut method of "path" utility '\
-            'not list nor tuple')
+                        'Object type, returned by filteredOut method'
+                        ' of "path" utility '
+                        'not list nor tuple')
         excluded = ["/%s/doc1" % self.folder.absolute_url(1)]
         self.assertTrue(
             set(catpaths) - set(filtered) == set(excluded),
-            'Wrong filtered-out by "path" filter:\nsrc %s\nres %s\nexcluded ' \
+            'Wrong filtered-out by "path" filter:\nsrc %s\nres %s\nexcluded '
             '%s' % (catpaths, filtered, excluded))
 
@@ -109,16 +112,20 @@
     def testGetNamedFilterUtility(self):
         catpaths, filtered = self.getPreparedLists("path:/doc1", "/plone/doc1")
-        excluded = ["%s/doc1" % self.portal.absolute_url()]
+        excluded = ["%s/doc1" % self.portal.absolute_url(),
+                    "%s/front-page" % self.portal.absolute_url()]
         self.assertTrue(set(catpaths) - set(filtered) == set(excluded),
-            'Wrong filtered-out by "id" filter:\nsrc %s\nres %s\nexcluded %s' \
-            % (catpaths, filtered, excluded))
+                        'Wrong filtered-out by'
+                        ' "id" filter:\nsrc %s\nres %s\nexcluded %s'
+                        % (catpaths, filtered, excluded))
 
     def testDefaultFilterUtility(self):
         catpaths, filtered = self.getPreparedLists("id:doc1", "doc1")
         excluded = ["%s/doc1" % self.portal.absolute_url(),
+                    "%s/front-page" % self.portal.absolute_url(),
                     "%s/doc1" % self.folder.absolute_url()]
         self.assertTrue(set(catpaths) - set(filtered) == set(excluded),
-            'Wrong filtered-out by "id" filter:\nsrc %s\nres %s\nexcluded %s' \
-            % (catpaths, filtered, excluded))
+                        'Wrong filtered-out by "id" '
+                        'filter:\nsrc %s\nres %s\nexcluded %s'
+                        % (catpaths, filtered, excluded))
         # Now check is output of unnamed filter samed to named one.
         self.sm.edit(blackout_list=["doc1", ])
@@ -126,6 +133,8 @@
         map(lambda l: l.sort(), (filtered, filtered_dflt))
         self.assertTrue(filtered == filtered_dflt,
-            'Output of named "id" filter is not same to unnamed one:\n' \
-            'id-named: %s\nunnamed: %s' % (filtered, filtered_dflt))
+                        'Output of named "id" filter '
+                        'is not same to unnamed one:\n'
+                        'id-named: %s\nunnamed: %s'
+                        % (filtered, filtered_dflt))
 
     # def testGetCorrectFilterName(self):