Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_controlpanel.py
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_controlpanel.py	(revision 3153)
+++ quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_controlpanel.py	(revision 3514)
@@ -21,6 +21,7 @@
         # Check if dropdownmenu is in the control panel
         self.controlpanel = getToolByName(self.portal, "portal_controlpanel")
-        self.failUnless('dropdownmenu' in [a.getAction(self)['id']
-                            for a in self.controlpanel.listActions()])
+        self.failUnless('dropdownmenu' in [
+            a.getAction(self)['id']
+            for a in self.controlpanel.listActions()])
 
     def test_show_icons(self):
Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_docs.py
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_docs.py	(revision 3153)
+++ quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_docs.py	(revision 3514)
@@ -28,3 +28,3 @@
         #    test_class=TestCase),
 
-        ])
+    ])
Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_installation.py
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_installation.py	(revision 3153)
+++ quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_installation.py	(revision 3514)
@@ -25,12 +25,12 @@
         qi = self.portal.portal_quickinstaller
         self.assertTrue(qi.isProductInstalled(PROJECT_NAME),
-            '%s is not installed.' % PROJECT_NAME)
+                        '%s is not installed.' % PROJECT_NAME)
 
     def testInstalledDependencies(self):
         cp = self.portal.portal_controlpanel
         configlets = [ai['id'] for ai in cp.listActionInfos(
-                                             check_permissions=0)]
+                      check_permissions=0)]
         self.assertTrue([1 for ai in configlets if ai == "plone.app.registry"],
-                'Not installed required plone.app.registry product.')
+                        'Not installed required plone.app.registry product.')
 
     def testStyles(self):
@@ -43,7 +43,8 @@
         cp = self.portal.portal_controlpanel
         configlets = [ai['id'] for ai in cp.listActionInfos(
-                                             check_permissions=0)]
+                      check_permissions=0)]
         for cid in CONFIGLETS:
-            self.assertTrue([1 for ai in configlets if ai == cid],
+            self.assertTrue([
+                1 for ai in configlets if ai == cid],
                 'No "%s" configlet added to plone control panel' % cid)
 
@@ -56,5 +57,5 @@
         afield = "show_content_tabs"
         self.assertTrue(registry.records.get(IPREFIX + afield, None),
-            "Not registered '%s' registry interface" % IPREFIX)
+                        "Not registered '%s' registry interface" % IPREFIX)
 
 
@@ -64,5 +65,5 @@
         qi = self.portal.portal_quickinstaller
         self.assertFalse(qi.isProductInstalled(PROJECT_NAME),
-            '%s not uninstalled.' % PROJECT_NAME)
+                         '%s not uninstalled.' % PROJECT_NAME)
 
     def testStyles(self):
@@ -75,13 +76,13 @@
         cp = self.portal.portal_controlpanel
         configlets = [ai['id'] for ai in cp.listActionInfos(
-                                            check_permissions=0)]
+                      check_permissions=0)]
         for cid in CONFIGLETS:
             self.assertFalse([1 for ai in configlets if ai == cid],
-                '"%s" configlet not uninstalled '\
-                'from plone control panel' % cid)
+                             '"%s" configlet not uninstalled '
+                             'from plone control panel' % cid)
 
     def testBrowserLayer(self):
         self.assertFalse(IDropDownMenuLayer in blutils.registered_layers(),
-                     "Not unregistered 'IDropDownMenuLayer' browser layer")
+                         "Not unregistered 'IDropDownMenuLayer' browser layer")
 
     def testRegistry(self):
@@ -89,5 +90,5 @@
         afield = "show_content_tabs"
         self.assertFalse(registry.records.get(IPREFIX + afield, None),
-            "Not unregistered '%s' registry interface" % IPREFIX)
+                         "Not unregistered '%s' registry interface" % IPREFIX)
 
 