Index: quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/keywords.py
===================================================================
--- quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/keywords.py	(revision 3542)
+++ quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/keywords.py	(revision 3547)
@@ -34,5 +34,5 @@
         if text.lower().strip():
             keywords = filter(None, map(lambda x: safe_unicode(x.strip(), enc),
-                                         text.lower().strip().split('\n')))
+                              text.lower().strip().split('\n')))
         else:
             return ts.utranslate(domain='quintagroup.seoptimizer',
@@ -82,5 +82,5 @@
                              msgid=_(u'number_keywords',
                                      default=u'Number of keywords at page:\n'
-                                              '${result}',
+                                     '${result}',
                                      mapping={'result': '\n'.join(result)}),
                              context=self.context)
Index: quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/seo_configlet.py
===================================================================
--- quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/seo_configlet.py	(revision 3542)
+++ quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/seo_configlet.py	(revision 3547)
@@ -31,5 +31,5 @@
     exposeDCMetaTags = Bool(
         title=_("label_exposeDCMetaTags",
-                default='Expose <abbr title="Dublin Core">DC</abbr> ' \
+                default='Expose <abbr title="Dublin Core">DC</abbr> '
                 'meta tags'),
         description=_("description_seo_dc_metatags",
@@ -53,6 +53,6 @@
         title=_("label_content_type_title", default='Content Types'),
         description=_("description_seo_content_types",
-            default='Select content types that will have SEO properties '
-                'enabled.'),
+                      default='Select content types that will have SEO '
+                      'properties enabled.'),
         required=False,
         missing_value=tuple(),
@@ -64,6 +64,6 @@
                 default='Default custom metatags.'),
         description=_("help_default_custom_metatags",
-                      default='Fill in custom metatag names (one per line) ' \
-                      'which will appear on qseo_properties edit tab. ' \
+                      default='Fill in custom metatag names (one per line) '
+                      'which will appear on qseo_properties edit tab. '
                       'Example: "metaname|metacontent" or "metaname".'),
         required=False)
@@ -74,6 +74,6 @@
         title=_("label_custom_script", default=u'Header JavaScript'),
         description=_("help_custom_script",
-                default=u"This JavaScript code will be included in "
-                         "the rendered HTML as entered in the page header."),
+                      default=u"This JavaScript code will be included in "
+                      "the rendered HTML as entered in the page header."),
         default=u'',
         required=False)
@@ -98,8 +98,8 @@
                 default='External keywords check'),
         description=_("description_external_keywords_test",
-                default='Make keywords test by opening context url as '
-                    'external resource with urllib2.openurl(). This is '
-                    'useful when xdv/Deliverance transformation is used '
-                    'on the site.'),
+                      default='Make keywords test by opening context url as '
+                      'external resource with urllib2.openurl(). This is '
+                      'useful when xdv/Deliverance transformation is used '
+                      'on the site.'),
         default=False,
         required=False)
@@ -174,5 +174,5 @@
     def _toFormValue(self, value):
         if value == self.context.missing_value or \
-           value == self.context._type():
+                value == self.context._type():
             return self._missing
         else:
Index: quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/viewlets.py
===================================================================
--- quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/viewlets.py	(revision 3542)
+++ quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/viewlets.py	(revision 3547)
@@ -32,5 +32,5 @@
         enc = getSiteEncoding(self.context)
         sfuncd = lambda x, enc=enc: safe_unicode(x, enc)
-        return u'\n'.join([TEMPLATE % tuple(map(sfuncd, (k, v))) \
+        return u'\n'.join([TEMPLATE % tuple(map(sfuncd, (k, v)))
                            for k, v in self.listMetaTags().items()])
 
@@ -48,5 +48,5 @@
         adapter = IMappingMetaTags(self.context, None)
         mapping_metadata = adapter and adapter.getMappingMetaTags() \
-                           or SortedDict()
+            or SortedDict()
 
         if not use_all:
@@ -98,8 +98,8 @@
             # Special cases
             if accessor == 'Description' and \
-               not 'description' in metadata_names:
+                    not 'description' in metadata_names:
                 result['description'] = escape(value)
             elif accessor == 'Subject' and \
-                 not 'keywords' in metadata_names:
+                    not 'keywords' in metadata_names:
                 result['keywords'] = escape(value)
 
@@ -130,6 +130,6 @@
             # Filter out DWIMish artifacts on effective / expiration dates
             if effective is not None and \
-               effective > FLOOR_DATE and \
-               effective != created:
+                    effective > FLOOR_DATE and \
+                    effective != created:
                 eff_str = effective.Date()
             else:
@@ -147,5 +147,5 @@
         # for given context and default from configlet
         custom_meta_tags = seo_context and \
-                           seo_context['seo_customMetaTags'] or []
+            seo_context['seo_customMetaTags'] or []
         for tag in custom_meta_tags:
             if tag['meta_content']:
@@ -165,5 +165,5 @@
                                              name=u'plone_context_state')
         self.seo_context = getMultiAdapter((self.context, self.request),
-                                             name=u'seo_context')
+                                           name=u'seo_context')
 
         self.override_title = self.seo_context['has_seo_title']
Index: quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/views.py
===================================================================
--- quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/views.py	(revision 3542)
+++ quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/views.py	(revision 3547)
@@ -14,5 +14,5 @@
 from quintagroup.canonicalpath.interfaces import ICanonicalLink
 from quintagroup.canonicalpath.adapters import PROPERTY_LINK \
-                                               as CANONICAL_PROPERTY
+    as CANONICAL_PROPERTY
 
 from quintagroup.seoptimizer.browser.seo_configlet import ISEOConfigletSchema
@@ -63,5 +63,5 @@
                                                     default=''),
             "seo_noframes": self.getSEOProperty('qSEO_noframes',
-                                                    default=''),
+                                                default=''),
             "meta_keywords": self.getSEOProperty('qSEO_keywords',
                                                  'Subject', ()),
@@ -71,13 +71,13 @@
             "has_seo_title": self.context.hasProperty('qSEO_title'),
             "has_seo_robots": self.context.hasProperty('qSEO_robots'),
-            "has_seo_description": \
-                     self.context.hasProperty('qSEO_description'),
-            "has_seo_distribution": \
-                     self.context.hasProperty('qSEO_distribution'),
+            "has_seo_description":
+            self.context.hasProperty('qSEO_description'),
+            "has_seo_distribution":
+            self.context.hasProperty('qSEO_distribution'),
             "has_html_comment": self.context.hasProperty('qSEO_html_comment'),
             "has_noframes": self.context.hasProperty('qSEO_noframes'),
             "has_seo_keywords": self.context.hasProperty('qSEO_keywords'),
             "has_seo_canonical": self.context.hasProperty(CANONICAL_PROPERTY),
-            }
+        }
         #seotags["seo_nonEmptylocalMetaTags"] = \
         #    bool(seotags["seo_localCustomMetaTags"])
@@ -117,6 +117,6 @@
         # Get untouch global, override global in custom
         # and new custom meta tags
-        untouchglob = [t for t in glob \
-                         if t['meta_name'] in list(gnames - lnames)]
+        untouchglob = [t for t in glob
+                       if t['meta_name'] in list(gnames - lnames)]
         return untouchglob + loc
 
@@ -141,5 +141,5 @@
         for property, value in context.propertyItems():
             if property.startswith(property_prefix) and \
-               property[len(property_prefix):]:
+                    property[len(property_prefix):]:
                 result.append({'meta_name': property[len(property_prefix):],
                                'meta_content': value})
@@ -157,6 +157,6 @@
                 if name_value[0]:
                     result.append({'meta_name': name_value[0],
-                                   'meta_content': len(name_value) == 2 and \
-                                                    name_value[1] or ''})
+                                   'meta_content': len(name_value) == 2 and
+                                   name_value[1] or ''})
         return result
 
@@ -212,6 +212,6 @@
         state = ''
         delete_list, seo_overrides_keys, seo_keys = [], [], []
-        seo_items = dict([(k[len(SEO_PREFIX):], v) \
-                         for k, v in kw.items() if k.startswith(SEO_PREFIX)])
+        seo_items = dict([(k[len(SEO_PREFIX):], v)
+                          for k, v in kw.items() if k.startswith(SEO_PREFIX)])
         for key in seo_items.keys():
             if key.endswith(SUFFIX):
@@ -224,5 +224,5 @@
             else:
                 if seo_key in seo_overrides_keys and \
-                              seo_items.get(seo_key + SUFFIX):
+                        seo_items.get(seo_key + SUFFIX):
                     seo_value = seo_items[seo_key]
                     if seo_key == 'canonical':
@@ -234,6 +234,6 @@
                     else:
                         t_value = 'string'
-                        if type(seo_value) == type([]) or \
-                           type(seo_value) == type(()):
+                        if isinstance(seo_value, list) or \
+                                isinstance(seo_value, tuple):
                             t_value = 'lines'
                         state = self.setProperty(PROP_PREFIX + seo_key,
@@ -264,5 +264,5 @@
         for property, value in context.propertyItems():
             if property.startswith(PROP_CUSTOM_PREFIX) and \
-                                   not property == PROP_CUSTOM_PREFIX:
+                    not property == PROP_CUSTOM_PREFIX:
                 delete_list.append(property)
         if delete_list:
@@ -280,11 +280,11 @@
                     globalCustomMetaTags.append(
                         {'meta_name': name_value[0],
-                         'meta_content': len(name_value) > 1 and \
-                                         name_value[1] or ''})
+                         'meta_content': len(name_value) > 1 and
+                         name_value[1] or ''})
         for tag in custommetatags:
             meta_name, meta_content = tag['meta_name'], tag['meta_content']
             if meta_name:
-                if not [gmt for gmt in globalCustomMetaTags \
-                        if (gmt['meta_name'] == meta_name and \
+                if not [gmt for gmt in globalCustomMetaTags
+                        if (gmt['meta_name'] == meta_name and
                             gmt['meta_content'] == meta_content)]:
                     self.setProperty('%s%s' % (PROP_CUSTOM_PREFIX, meta_name),
@@ -344,5 +344,5 @@
             else:
                 # Cancel
-                msg = _('seoproperties_canceled', default=u'No content SEO ' \
+                msg = _('seoproperties_canceled', default=u'No content SEO '
                         'properties have been changed.')
 