Index: quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/configlet.py
===================================================================
--- quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/configlet.py	(revision 3555)
+++ quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/configlet.py	(revision 3556)
@@ -23,9 +23,12 @@
     title = schema.TextLine(title=u"title", required=False)
 
+
 class ValueTitlePair(object):
     implements(IValueTitlePair)
+
     def __init__(self, value='', title=''):
         self.value = value
         self.title = title
+
 
 class IQCollectionPortletPanelSchema(Interface):
@@ -40,4 +43,5 @@
     )
 
+
 class QCollectionPortletControlPanelAdapter(SchemaAdapterBase):
     adapts(IPloneSiteRoot)
@@ -50,5 +54,6 @@
 
     def get_portlet_dropdown(self):
-        return  [ValueTitlePair(v,t) for (v,t) in getStylesVocabulary(self.context)]
+        return [ValueTitlePair(v, t) for (v, t) in getStylesVocabulary(
+            self.context)]
 
     def set_portlet_dropdown(self, value):
@@ -79,4 +84,5 @@
                                          subwidget=valuetitle_widget)
 
+
 class QCollectionPortletControlPanel(ControlPanelForm):
 
@@ -86,4 +92,4 @@
     label = _("QCollection portlet settings")
     description = _("This form is for managing QCollection portlet "
-                     "classes available on portlet add/edit form.")
+                    "classes available on portlet add/edit form.")
     form_name = _("QCollection portlet settings")
Index: quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/tests/base.py
===================================================================
--- quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/tests/base.py	(revision 3555)
+++ quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/tests/base.py	(revision 3556)
@@ -6,4 +6,5 @@
 from Products.PloneTestCase import PloneTestCase as ptc
 from Products.PloneTestCase.layer import onsetup
+
 
 @onsetup
@@ -34,8 +35,10 @@
 ptc.setupPloneSite(products=['quintagroup.portlet.collection'])
 
+
 class TestCase(ptc.PloneTestCase):
     """Base class used for test cases
     """
 
+
 class FunctionalTestCase(ptc.FunctionalTestCase):
     """Test case class used for functional (doc-)tests
Index: quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/tests/test_portlet.py
===================================================================
--- quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/tests/test_portlet.py	(revision 3555)
+++ quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/tests/test_portlet.py	(revision 3556)
@@ -195,10 +195,10 @@
 
     def testRandomQuery(self):
-        # we're being perhaps a bit too clever in random mode with the internals of the
-        # LazyMap returned by the collection query, so let's try a bunch of scenarios
-        # to make sure they work
+        # we're being perhaps a bit too clever in random mode with the
+        # internals of the LazyMap returned by the collection query, so let's
+        # try a bunch of scenarios to make sure they work
 
         def reset_memoize(inst):
-            # Decorator memoize adds attribute ('_memojito_') to class instance.
+            # Decorator memoize adds attribute('_memojito_') to class instance.
             # It has cached function and their values so it should be deleted
             # for testing.
@@ -222,5 +222,6 @@
             getattr(self.folder, 'folder_%s' % i).reindexObject()
 
-        # collection with no criteria -- should return empty list, without error
+        # collection with no criteria -- should return empty list, without
+        # error
         self.assertEqual(len(collectionrenderer.results()), 0)
         reset_memoize(collectionrenderer)
@@ -253,15 +254,18 @@
         collectionrenderer.results()
 
-        # collection with sorting -- should behave similarly (sort is ignored internally)
+        # collection with sorting -- should behave similarly (sort is
+        # ignored internally)
         self.folder.collection.setSortCriterion('modified', False)
         self.assertEqual(len(collectionrenderer.results()), 1)
         reset_memoize(collectionrenderer)
 
-        # same criteria, now with limit set to 2 -- should return 2 (random) folders
+        # same criteria, now with limit set to 2 -- should return 2 (random)
+        # folders
         collectionrenderer.data.limit = 2
         self.assertEqual(len(collectionrenderer.results()), 2)
         reset_memoize(collectionrenderer)
 
-        # make sure there's no error if the limit is greater than the # of results found
+        # make sure there's no error if the limit is greater than the # of
+        # results found
         collectionrenderer.data.limit = 10
         self.failUnless(len(collectionrenderer.results()) >= 6)
Index: quintagroup.portlet.collection/trunk/setup.py
===================================================================
--- quintagroup.portlet.collection/trunk/setup.py	(revision 3555)
+++ quintagroup.portlet.collection/trunk/setup.py	(revision 3556)
@@ -8,10 +8,10 @@
       description="Extended collection portlet",
       long_description=open("README.txt").read() + "\n" +
-                       open(os.path.join("docs", "HISTORY.txt")).read(),
+      open(os.path.join("docs", "HISTORY.txt")).read(),
       # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers
       classifiers=[
-        "Programming Language :: Python",
-        "Topic :: Software Development :: Libraries :: Python Modules",
-        ],
+          "Programming Language :: Python",
+          "Topic :: Software Development :: Libraries :: Python Modules",
+      ],
       keywords='portlet collection quintagroup',
       author='Melnychuk Taras',