Index: intagroup.pfg.captcha/buildouts/versions-plone3.0.6.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone3.0.6.cfg	(revision 3560)
+++ 	(revision )
@@ -1,2 +1,0 @@
-[versions]
-Products.PloneFormGen = 1.5.5
Index: /quintagroup.pfg.captcha/buildouts/versions-plone3.0.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone3.0.cfg	(revision 3561)
+++ /quintagroup.pfg.captcha/buildouts/versions-plone3.0.cfg	(revision 3561)
@@ -0,0 +1,2 @@
+[versions]
+Products.PloneFormGen = 1.5.5
Index: intagroup.pfg.captcha/buildouts/versions-plone3.1.7.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone3.1.7.cfg	(revision 3560)
+++ 	(revision )
@@ -1,2 +1,0 @@
-[versions]
-Products.PloneFormGen = 1.6.2
Index: /quintagroup.pfg.captcha/buildouts/versions-plone3.1.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone3.1.cfg	(revision 3561)
+++ /quintagroup.pfg.captcha/buildouts/versions-plone3.1.cfg	(revision 3561)
@@ -0,0 +1,2 @@
+[versions]
+Products.PloneFormGen = 1.6.2
Index: intagroup.pfg.captcha/buildouts/versions-plone3.2.3.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone3.2.3.cfg	(revision 3560)
+++ 	(revision )
@@ -1,2 +1,0 @@
-[versions]
-Products.PloneFormGen = 1.6.2
Index: /quintagroup.pfg.captcha/buildouts/versions-plone3.2.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone3.2.cfg	(revision 3561)
+++ /quintagroup.pfg.captcha/buildouts/versions-plone3.2.cfg	(revision 3561)
@@ -0,0 +1,2 @@
+[versions]
+Products.PloneFormGen = 1.6.2
Index: intagroup.pfg.captcha/buildouts/versions-plone3.3.5.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone3.3.5.cfg	(revision 3560)
+++ 	(revision )
@@ -1,2 +1,0 @@
-[versions]
-Products.PloneFormGen = 1.6.5
Index: intagroup.pfg.captcha/buildouts/versions-plone3.3.6.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone3.3.6.cfg	(revision 3560)
+++ 	(revision )
@@ -1,2 +1,0 @@
-[versions]
-Products.PloneFormGen = 1.6.5
Index: /quintagroup.pfg.captcha/buildouts/versions-plone3.3.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone3.3.cfg	(revision 3561)
+++ /quintagroup.pfg.captcha/buildouts/versions-plone3.3.cfg	(revision 3561)
@@ -0,0 +1,2 @@
+[versions]
+Products.PloneFormGen = 1.6.5
Index: intagroup.pfg.captcha/buildouts/versions-plone4.0.5.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone4.0.5.cfg	(revision 3560)
+++ 	(revision )
@@ -1,2 +1,0 @@
-[versions]
-plone.app.jquerytools = 1.2b4
Index: intagroup.pfg.captcha/buildouts/versions-plone4.0.9.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone4.0.9.cfg	(revision 3560)
+++ 	(revision )
@@ -1,2 +1,0 @@
-[versions]
-Products.PloneFormGen = 1.6.5
Index: /quintagroup.pfg.captcha/buildouts/versions-plone4.0.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone4.0.cfg	(revision 3561)
+++ /quintagroup.pfg.captcha/buildouts/versions-plone4.0.cfg	(revision 3561)
@@ -0,0 +1,2 @@
+[versions]
+Products.PloneFormGen = 1.6.5
Index: intagroup.pfg.captcha/buildouts/versions-plone4.1.4.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone4.1.4.cfg	(revision 3560)
+++ 	(revision )
@@ -1,1 +1,0 @@
-[versions]
Index: intagroup.pfg.captcha/buildouts/versions-plone4.1b2.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone4.1b2.cfg	(revision 3560)
+++ 	(revision )
@@ -1,1 +1,0 @@
-[versions]
Index: /quintagroup.pfg.captcha/buildouts/versions-plone4.2.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone4.2.cfg	(revision 3561)
+++ /quintagroup.pfg.captcha/buildouts/versions-plone4.2.cfg	(revision 3561)
@@ -0,0 +1,1 @@
+[versions]
Index: intagroup.pfg.captcha/buildouts/versions-plone4.2a1.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone4.2a1.cfg	(revision 3560)
+++ 	(revision )
@@ -1,1 +1,0 @@
-[versions]
Index: intagroup.pfg.captcha/buildouts/versions-plone4.2b2.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone4.2b2.cfg	(revision 3560)
+++ 	(revision )
@@ -1,1 +1,0 @@
-[versions]
Index: /quintagroup.pfg.captcha/buildouts/versions-plone4.3.cfg
===================================================================
--- /quintagroup.pfg.captcha/buildouts/versions-plone4.3.cfg	(revision 3561)
+++ /quintagroup.pfg.captcha/buildouts/versions-plone4.3.cfg	(revision 3561)
@@ -0,0 +1,1 @@
+[versions]