Index: /quintagroup.analytics/trunk/quintagroup/analytics/browser/views.py
===================================================================
--- /quintagroup.analytics/trunk/quintagroup/analytics/browser/views.py	(revision 3596)
+++ /quintagroup.analytics/trunk/quintagroup/analytics/browser/views.py	(revision 3597)
@@ -112,5 +112,5 @@
             data.append(self.getContent(type_))
         other = [self.getContent(t) for t in self.getTypes(
-                                                    all=True)[self.MAX:]]
+            all=True)[self.MAX:]]
         if other:
             data.append([sum(l) for l in zip(*other)])
@@ -334,15 +334,15 @@
                 info['left_slots'] = obj.getProperty('left_slots')
                 self.expressions = self.expressions.union(
-                                            set(info['left_slots']))
+                    set(info['left_slots']))
             if obj.hasProperty('right_slots'):
                 info['right_slots'] = obj.getProperty('right_slots')
                 self.expressions = self.expressions.union(
-                                            set(info['right_slots']))
+                    set(info['right_slots']))
         return info
 
     def _walk(self, obj, level=-1):
         yield self._getInfo(obj)
-        if level != 0 and (IFolderish.providedBy(obj) \
-                       or IBaseFolder.providedBy(obj)):
+        if level != 0 and (IFolderish.providedBy(obj)
+                           or IBaseFolder.providedBy(obj)):
             for v in obj.contentValues():
                 for i in self._walk(v, level - 1):
@@ -358,5 +358,5 @@
         for i in self._walk(self.context, level):
             if self.DEBUG or i['left_slots'] is not None \
-                          or i['right_slots'] is not None:
+                    or i['right_slots'] is not None:
                 infos.append(i)
         self.total = len(infos)
@@ -401,5 +401,5 @@
             obj = aq_base(obj)
             self.proplist.extend(
-                    [i for i in obj.propertyIds() if i not in self.proplist])
+                [i for i in obj.propertyIds() if i not in self.proplist])
             if obj.hasProperty(self.propname):
                 info['slots'] = obj.getProperty(self.propname)
@@ -408,14 +408,14 @@
                 if not isinstance(info['slots'], basestring):
                     self.expressions = self.expressions.union(
-                                                set(info['slots']))
+                        set(info['slots']))
                 else:
                     self.expressions = self.expressions.union(
-                                                set([info['slots']]))
+                        set([info['slots']]))
         return info
 
     def _walk(self, obj, level=-1):
         yield self._getInfo(obj)
-        if level != 0 and (IFolderish.providedBy(obj) \
-                       or IBaseFolder.providedBy(obj)):
+        if level != 0 and (IFolderish.providedBy(obj)
+                           or IBaseFolder.providedBy(obj)):
             for v in obj.contentValues():
                 for i in self._walk(v, level - 1):
@@ -516,5 +516,5 @@
                 'editview': editviewName,
                 'visible': settings.get('visible', True),
-                })
+            })
         return data
 
@@ -553,6 +553,6 @@
         except:
             pass
-        if level != 0 and (IFolderish.providedBy(obj) \
-                       or IBaseFolder.providedBy(obj)):
+        if level != 0 and (IFolderish.providedBy(obj)
+                           or IBaseFolder.providedBy(obj)):
             for v in obj.contentValues():
                 for i in self._walk(v, level - 1):
@@ -568,5 +568,5 @@
         for i in self._walk(self.context, level):
             if self.DEBUG or i['left_slots'] is not None \
-                          or i['right_slots'] is not None:
+                    or i['right_slots'] is not None:
                 infos.append(i)
         self.total = len(infos)
Index: /quintagroup.analytics/trunk/quintagroup/analytics/tests.py
===================================================================
--- /quintagroup.analytics/trunk/quintagroup/analytics/tests.py	(revision 3596)
+++ /quintagroup.analytics/trunk/quintagroup/analytics/tests.py	(revision 3597)
@@ -107,6 +107,6 @@
         control_panel = self.portal.portal_controlpanel
         self.assert_(
-                'QAnalytics' in [a.id for a in control_panel.listActions()],
-                "Configlet for quintagroup.analitycs isn't registered.")
+            'QAnalytics' in [a.id for a in control_panel.listActions()],
+            "Configlet for quintagroup.analitycs isn't registered.")
 
     def test_OwnershipByType(self):
@@ -172,5 +172,5 @@
     def afterSetUp(self):
         self.view = queryMultiAdapter((self.portal, self.portal.REQUEST),
-                                 name="ownership_by_type")
+                                      name="ownership_by_type")
         self.pc = self.portal.portal_catalog
         portal_migration = self.portal.portal_migration
@@ -216,9 +216,11 @@
 
         for type_ in self.layer.types_:
-            self.assert_(False not in \
-            map(lambda i, j: i == j, [len(self.pc(portal_type=type_,
-                                               Creator=user))
-                                   for user in self.view.getUsers()],
-                                  self.view.getContent(type_)))
+            self.assert_(False not in
+                         map(
+                             lambda i, j: i == j, [len(
+                                 self.pc(portal_type=type_,
+                                         Creator=user))
+                for user in self.view.getUsers()],
+                             self.view.getContent(type_)))
 
     def test_getChart(self):
@@ -283,5 +285,5 @@
     def afterSetUp(self):
         self.view = queryMultiAdapter((self.portal, self.portal.REQUEST),
-                                 name="ownership_by_state")
+                                      name="ownership_by_state")
         self.pc = self.portal.portal_catalog
 
@@ -308,9 +310,11 @@
 
         for state in self.states:
-            self.assert_(False not in \
-            map(lambda i, j: i == j, [len(self.pc(review_state=state,
-                                              Creator=user))
-                                  for user in self.view.getUsers()],
-                                 self.view.getContent(state)))
+            self.assert_(False not in
+                         map(
+                             lambda i, j: i == j, [len(
+                                 self.pc(review_state=state,
+                                         Creator=user))
+                for user in self.view.getUsers()],
+                             self.view.getContent(state)))
 
     def test_getChart(self):
@@ -338,5 +342,5 @@
     def afterSetUp(self):
         self.view = queryMultiAdapter((self.portal, self.portal.REQUEST),
-                                 name="type_by_state")
+                                      name="type_by_state")
         self.pc = self.portal.portal_catalog
         portal_migration = self.portal.portal_migration
@@ -382,9 +386,11 @@
 
         for state in self.states:
-            self.assert_(False not in \
-            map(lambda i, j: i == j, [len(self.pc(portal_type=type_,
-                                               review_state=state))
-                                   for type_ in self.view.getTypes()],
-                                  self.view.getContent(state)))
+            self.assert_(False not in
+                         map(
+                             lambda i, j: i == j, [len(
+                                 self.pc(portal_type=type_,
+                                         review_state=state))
+                for type_ in self.view.getTypes()],
+                             self.view.getContent(state)))
 
     def test_getChart(self):
@@ -443,5 +449,5 @@
     def afterSetUp(self):
         self.view = queryMultiAdapter((self.portal, self.portal.REQUEST),
-                                       name='legacy_portlets')
+                                      name='legacy_portlets')
 
     def test_getPortlets(self):
@@ -463,5 +469,5 @@
     def afterSetUp(self):
         self.view = queryMultiAdapter((self.portal, self.portal.REQUEST),
-                                       name='properties_stats')
+                                      name='properties_stats')
 
     def test_getPropsList(self):
@@ -472,5 +478,5 @@
         for title in result:
             self.assert_(title in [prop_info['slots']
-                     for prop_info in self.view.getPropsList()])
+                                   for prop_info in self.view.getPropsList()])
 
 
@@ -480,5 +486,5 @@
     def afterSetUp(self):
         self.view = queryMultiAdapter((self.portal, self.portal.REQUEST),
-                                       name='portlets_stats')
+                                      name='portlets_stats')
 
     def test_getPropsList(self):
@@ -488,5 +494,6 @@
         portlet = getUtility(IPortletType, name='portlets.Calendar')
         mapping = \
-          self.portal.restrictedTraverse('++contextportlets++plone.leftcolumn')
+            self.portal.restrictedTraverse(
+                '++contextportlets++plone.leftcolumn')
         mapping.restrictedTraverse('+/' + portlet.addview)()
 
@@ -519,5 +526,5 @@
         #    test_class=TestCase),
 
-        ])
+    ])
 
     test_suite.addTest(unittest.makeSuite(TestQAInstallation))