Index: quintagroup.canonicalpath/trunk/quintagroup/canonicalpath/adapters.py
===================================================================
--- quintagroup.canonicalpath/trunk/quintagroup/canonicalpath/adapters.py	(revision 3590)
+++ quintagroup.canonicalpath/trunk/quintagroup/canonicalpath/adapters.py	(revision 3599)
@@ -15,7 +15,5 @@
 PROPERTY_LINK = "canonical_link"
 
-_is_canonical = re.compile(
-    r"\S*$"               # non space and no new line(should be pickier)
-    ).match
+_is_canonical = re.compile(r"\S*$").match  # non space and no new line(should be pickier)
 
 
Index: quintagroup.canonicalpath/trunk/quintagroup/canonicalpath/interfaces.py
===================================================================
--- quintagroup.canonicalpath/trunk/quintagroup/canonicalpath/interfaces.py	(revision 3590)
+++ quintagroup.canonicalpath/trunk/quintagroup/canonicalpath/interfaces.py	(revision 3599)
@@ -6,5 +6,6 @@
     """
 
-    canonical_path = Attribute("canonical_path",
+    canonical_path = Attribute(
+        "canonical_path",
         "canonical_path - for the object. Adapter must implement "
         "*setter* and *getter* for the attribute")
@@ -15,5 +16,6 @@
     """
 
-    canonical_link = Attribute("canonical_link",
+    canonical_link = Attribute(
+        "canonical_link",
         "canonical_link - for the object. Adapter must implement "
         "*setter* and *getter* for the attribute")
Index: quintagroup.canonicalpath/trunk/quintagroup/canonicalpath/tests.py
===================================================================
--- quintagroup.canonicalpath/trunk/quintagroup/canonicalpath/tests.py	(revision 3590)
+++ quintagroup.canonicalpath/trunk/quintagroup/canonicalpath/tests.py	(revision 3599)
@@ -89,5 +89,5 @@
         wrapper = self.get_indexable_wrapper(self.my_doc)
         self.assertTrue(hasattr(wrapper, 'canonical_path'),
-                        "'canonical_path' attribute not accessible with "\
+                        "'canonical_path' attribute not accessible with "
                         "indexer wrapper for Document object")
 
@@ -95,5 +95,5 @@
         wrapper = self.get_indexable_wrapper(self.my_doc)
         self.assertTrue(hasattr(wrapper, 'canonical_link'),
-                        "'canonical_link' attribute not accessible with "\
+                        "'canonical_link' attribute not accessible with "
                         "indexer wrapper for Document object")
 
@@ -109,29 +109,33 @@
 
         self.mydoc_cp = '/' + '/'.join(self.purl.getRelativeContentPath(
-                                            self.my_doc))
+            self.my_doc))
         self.portal_cp = '/' + '/'.join(self.purl.getRelativeContentPath(
-                                            self.portal))
+            self.portal))
 
     def testRegistration4Portal(self):
         cpadapter = queryAdapter(self.portal, ICanonicalPath)
         self.assertFalse(cpadapter is None,
-            "Can't get canonical path adapter for the plone site object")
+                         "Can't get canonical path adapter for the plone"
+                         " site object")
 
     def testRegistration4AT(self):
         cpadapter = queryAdapter(self.my_doc, ICanonicalPath)
         self.assertFalse(cpadapter is None,
-            "Can't get canonical path adapter for the Document object")
+                         "Can't get canonical path adapter for the Document"
+                         " object")
 
     def testGetDefault4Portal(self):
         cpadapter = queryAdapter(self.portal, ICanonicalPath)
         self.assertTrue(cpadapter.canonical_path == self.portal_cp,
-            "Canonical path adapter return '%s' for portal, must be: '%s'" % (
-            cpadapter.canonical_path, self.portal_cp))
+                        "Canonical path adapter return '%s' for portal,"
+                        " must be: '%s'" % (cpadapter.canonical_path,
+                                            self.portal_cp))
 
     def testGetDefault4AT(self):
         cpadapter = queryAdapter(self.my_doc, ICanonicalPath)
         self.assertTrue(cpadapter.canonical_path == self.mydoc_cp,
-            "Canonical path adapter return '%s' for document, "\
-            "must be: '%s'" % (cpadapter.canonical_path, self.mydoc_cp))
+                        "Canonical path adapter return '%s' for document, "
+                        "must be: '%s'" % (cpadapter.canonical_path,
+                                           self.mydoc_cp))
 
     def testSet4Portal(self):
@@ -142,10 +146,12 @@
         prop = self.portal.getProperty(PROPERTY_PATH, None)
         self.assertTrue(prop == newcp,
-            "Canonical path adapter setter NOT SET new '%s' value to '%s' " \
-            "propery for the portal" % (newcp, PROPERTY_PATH))
+                        "Canonical path adapter setter NOT SET new '%s' value"
+                        " to '%s' propery for the portal" % (newcp,
+                                                             PROPERTY_PATH))
 
         self.assertTrue(cpadapter.canonical_path == newcp,
-            "Canonical path adapter GET '%s' canonical_path, for portal, " \
-            "must be: '%s'" % (cpadapter.canonical_path, newcp))
+                        "Canonical path adapter GET '%s' canonical_path, for"
+                        " portal, must be: '%s'" % (cpadapter.canonical_path,
+                                                    newcp))
 
     def testSet4AT(self):
@@ -156,10 +162,12 @@
         prop = self.my_doc.getProperty(PROPERTY_PATH, None)
         self.assertTrue(prop == newcp,
-            "Canonical path adapter setter NOT SET new '%s' value to '%s' " \
-            "propery for the Document" % (newcp, PROPERTY_PATH))
+                        "Canonical path adapter setter NOT SET new '%s' value"
+                        " to '%s' propery for the Document" % (newcp,
+                                                               PROPERTY_PATH))
 
         self.assertTrue(cpadapter.canonical_path == newcp,
-            "Canonical path adapter GET '%s' canonical_path, for Document, " \
-            "must be: '%s'" % (cpadapter.canonical_path, newcp))
+                        "Canonical path adapter GET '%s' canonical_path, for "
+                        "Document, must be: '%s'" % (cpadapter.canonical_path,
+                                                     newcp))
 
     def testValidationWrong(self):
@@ -172,5 +180,5 @@
             else:
                 raise self.failureException, "InvalidValue not raised when " \
-                      "'%s' wrong value try to set" % wrong
+                    "'%s' wrong value try to set" % wrong
 
     def testValidationGood(self):
@@ -187,5 +195,6 @@
         del cpadapter.canonical_path
         self.assertFalse(hasprop(PROPERTY_PATH),
-            "Not deleted Canonical path customization property for the portal")
+                         "Not deleted Canonical path customization property "
+                         "for the portal")
 
     def testDelCustomization(self):
@@ -196,6 +205,6 @@
         del cpadapter.canonical_path
         self.assertTrue(cpadapter.canonical_path == self.portal_cp,
-            "After deleted Canonical path customization property not set to "
-            "default value for the portal")
+                        "After deleted Canonical path customization property "
+                        "not set to default value for the portal")
 
 
@@ -214,22 +223,25 @@
         cladapter = queryAdapter(self.portal, ICanonicalLink)
         self.assertFalse(cladapter is None,
-            "Can't get canonical link adapter for the plone site object")
+                         "Can't get canonical link adapter for the plone site "
+                         "object")
 
     def testRegistration4AT(self):
         cladapter = queryAdapter(self.my_doc, ICanonicalLink)
         self.assertFalse(cladapter is None,
-            "Can't get canonical link adapter for the Document object")
+                         "Can't get canonical link adapter for the Document "
+                         " object")
 
     def testGetDefault4Portal(self):
         cladapter = queryAdapter(self.portal, ICanonicalLink)
         self.assertTrue(cladapter.canonical_link == self.purl(),
-            "Canonical link adapter return '%s' for portal, must be: '%s'" % (
-            cladapter.canonical_link, self.purl()))
+                        "Canonical link adapter return '%s' for portal, must "
+                        "be: '%s'" % (cladapter.canonical_link, self.purl()))
 
     def testGetDefault4AT(self):
         cladapter = queryAdapter(self.my_doc, ICanonicalLink)
         self.assertTrue(cladapter.canonical_link == self.mydoc_cl,
-            "Canonical link adapter return '%s' for document, "\
-            "must be: '%s'" % (cladapter.canonical_link, self.mydoc_cl))
+                        "Canonical link adapter return '%s' for document, "
+                        "must be: '%s'" % (cladapter.canonical_link,
+                                           self.mydoc_cl))
 
     def testSet4Portal(self):
@@ -240,10 +252,12 @@
         prop = self.portal.getProperty(PROPERTY_LINK, None)
         self.assertTrue(prop == newcl,
-            "Canonical link adapter setter NOT SET new '%s' value to '%s' " \
-            "propery for the portal" % (newcl, PROPERTY_LINK))
+                        "Canonical link adapter setter NOT SET new '%s' value "
+                        "to '%s' propery for the portal" % (newcl,
+                                                            PROPERTY_LINK))
 
         self.assertTrue(cladapter.canonical_link == newcl,
-            "Canonical link adapter GET '%s' canonical_link, for portal, " \
-            "must be: '%s'" % (cladapter.canonical_link, newcl))
+                        "Canonical link adapter GET '%s' canonical_link, for "
+                        "portal, must be: '%s'" % (cladapter.canonical_link,
+                                                   newcl))
 
     def testSet4AT(self):
@@ -254,10 +268,12 @@
         prop = self.my_doc.getProperty(PROPERTY_LINK, None)
         self.assertTrue(prop == newcl,
-            "Canonical link adapter setter NOT SET new '%s' value to '%s' " \
-            "propery for the Document" % (newcl, PROPERTY_LINK))
+                        "Canonical link adapter setter NOT SET new '%s' value "
+                        "to '%s' propery for the Document" % (newcl,
+                                                              PROPERTY_LINK))
 
         self.assertTrue(cladapter.canonical_link == newcl,
-            "Canonical link adapter GET '%s' canonical_link, for Document, " \
-            "must be: '%s'" % (cladapter.canonical_link, newcl))
+                        "Canonical link adapter GET '%s' canonical_link, for "
+                        "Document, must be: '%s'" % (cladapter.canonical_link,
+                                                     newcl))
 
     def testValidationWrong(self):
@@ -285,5 +301,6 @@
         del cladapter.canonical_link
         self.assertFalse(hasprop(PROPERTY_LINK),
-            "Not deleted Canonical link customization property for the portal")
+                         "Not deleted Canonical link customization property "
+                         "for the portal")
 
     def test_DelCustomization(self):
@@ -294,6 +311,6 @@
         del cladapter.canonical_link
         self.assertTrue(cladapter.canonical_link == self.purl(),
-            "After deleted Canonical link customization property not set to "
-            "default value for the portal")
+                        "After deleted Canonical link customization property "
+                        "not set to default value for the portal")
 
 ##
@@ -348,5 +365,5 @@
         result = ICanonicalLink(item).canonical_link
         expect = "http://domain.com/www/some/path"
-        self.assertEqual(result, expect, "Got %s canonical link, " \
+        self.assertEqual(result, expect, "Got %s canonical link, "
                          "expect: %s" % (result, expect))
         # 2. canonical path propery mast be delete from the object
@@ -361,5 +378,5 @@
         result = ICanonicalLink(item).canonical_link
         expect = "http://domain.com/www/some/path"
-        self.assertEqual(result, expect, "Got %s canonical link, " \
+        self.assertEqual(result, expect, "Got %s canonical link, "
                          "expect: %s" % (result, expect))
         # 2. custom_property mast be deleted from the object
@@ -397,10 +414,9 @@
         assert logs != ""
         self.assertEqual(logs == logs2, True,
-             "logs not equal: \"%s\" != \"%s\"" % (logs, logs2))
+                         "logs not equal: \"%s\" != \"%s\"" % (logs, logs2))
         self.convertor.convertIPathToLink(bad)
         logs3 = self.convertor.getLogs()
-        self.assertEqual(logs3 > logs2, True,
-             "Log was not updated - last: \"%s\", previous: \"%s\"" % (logs3,
-                                                                       logs2))
+        self.assertEqual(logs3 > logs2, True, "Log was not updated - "
+                         "last: \"%s\", previous: \"%s\"" % (logs3, logs2))
 
     def test_loggingCleanup(self):
@@ -427,9 +443,11 @@
         item = ProperyAndTraverseProvider("test")
         self.assertNotEqual(queryAdapter(item, ICanonicalLink), None,
-            self.cant % ICanonicalLink.__name__ + "IPropertyManager and "\
-                                                  "ITraversable.")
+                            self.cant % ICanonicalLink.__name__ +
+                            "IPropertyManager and "
+                            "ITraversable.")
         self.assertNotEqual(queryAdapter(item, ICanonicalPath), None,
-            self.cant % ICanonicalPath.__name__ + "IPropertyManager and "\
-                                                  "ITraversable.")
+                            self.cant % ICanonicalPath.__name__ +
+                            "IPropertyManager and "
+                            "ITraversable.")
 
     def test_Traversable(self):
@@ -439,7 +457,9 @@
         item = TraverseProvider("test")
         self.assertNotEqual(queryAdapter(item, ICanonicalLink), None,
-           self.cant % ICanonicalLink.__name__ + "only ITraversable.")
+                            self.cant % ICanonicalLink.__name__ +
+                            "only ITraversable.")
         self.assertNotEqual(queryAdapter(item, ICanonicalPath), None,
-           self.cant % ICanonicalPath.__name__ + "only ITraversable.")
+                            self.cant % ICanonicalPath.__name__ +
+                            "only ITraversable.")
 
     def test_PropertyManager(self):
@@ -451,7 +471,9 @@
         item = PropertyManagerProvider("test")
         self.assertEqual(queryAdapter(item, ICanonicalLink), None,
-           self.doget % ICanonicalLink.__name__ + "only IPropertyManager.")
+                         self.doget % ICanonicalLink.__name__ +
+                         "only IPropertyManager.")
         self.assertEqual(queryAdapter(item, ICanonicalPath), None,
-           self.doget % ICanonicalPath.__name__ + "only IPropertyManager.")
+                         self.doget % ICanonicalPath.__name__ +
+                         "only IPropertyManager.")
 
     def test_NotProvider(self):
@@ -460,9 +482,11 @@
         item = NotProvider("test")
         self.assertEqual(queryAdapter(item, ICanonicalLink), None,
-           self.doget % ICanonicalLink.__name__ + "nor ITraversabe not "\
-                                                  "IPropertyManager.")
+                         self.doget % ICanonicalLink.__name__ +
+                         "nor ITraversabe not "
+                         "IPropertyManager.")
         self.assertEqual(queryAdapter(item, ICanonicalPath), None,
-           self.doget % ICanonicalPath.__name__ + "nor ITraversabe not "\
-                                                  "IPropertyManager.")
+                         self.doget % ICanonicalPath.__name__ +
+                         "nor ITraversabe not "
+                         "IPropertyManager.")
 
 
@@ -474,5 +498,5 @@
         unittest.makeSuite(TestConvertor),
         unittest.makeSuite(TestAdaptersRegistration),
-        ])
+    ])
 
 if __name__ == '__main__':
Index: quintagroup.canonicalpath/trunk/quintagroup/canonicalpath/upgrades.py
===================================================================
--- quintagroup.canonicalpath/trunk/quintagroup/canonicalpath/upgrades.py	(revision 3590)
+++ quintagroup.canonicalpath/trunk/quintagroup/canonicalpath/upgrades.py	(revision 3599)
@@ -6,6 +6,6 @@
 from Acquisition import aq_base, aq_inner
 
-from quintagroup.canonicalpath.interfaces  import ICanonicalPath
-from quintagroup.canonicalpath.interfaces  import ICanonicalLink
+from quintagroup.canonicalpath.interfaces import ICanonicalPath
+from quintagroup.canonicalpath.interfaces import ICanonicalLink
 from quintagroup.canonicalpath.adapters import PROPERTY_LINK
 from quintagroup.canonicalpath.adapters import PROPERTY_PATH
@@ -66,7 +66,7 @@
         """
         src_msg = type(src_iface) in StringTypes and src_iface \
-                                                 or src_iface.__name__
+            or src_iface.__name__
         msg = "Migrate %s into %s for %s object: " \
-               % (src_msg, dst_iface.__name__, obj.absolute_url())
+            % (src_msg, dst_iface.__name__, obj.absolute_url())
         try:
             src = self._getOrMakeAdapter(obj, src_iface)
@@ -117,5 +117,5 @@
         handler.setLevel(DEBUG)
         formatter = Formatter(fmt="[%(asctime)s]: %(message)s",
-                                      datefmt="%H:%M:%S")
+                              datefmt="%H:%M:%S")
         handler.setFormatter(formatter)
         self._logger = Logger("quintagroup.canonicalpath", NOTSET)