Index: /quintagroup.captcha.core/trunk/quintagroup/captcha/core/tests/testConfiglet.py
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/tests/testConfiglet.py	(revision 3599)
+++ /quintagroup.captcha.core/trunk/quintagroup/captcha/core/tests/testConfiglet.py	(revision 3600)
@@ -37,5 +37,6 @@
 
         self.assertTrue(self.layerInSkins(LAYER_STATIC_CAPTCHAS),
-            "No '%s' skin layer in some skins" % LAYER_STATIC_CAPTCHAS)
+                        "No '%s' skin layer in some skins" %
+                        LAYER_STATIC_CAPTCHAS)
 
     def test_dynamicOn(self):
@@ -44,50 +45,51 @@
 
         self.assertTrue(self.layerInSkins(LAYER_DYNAMIC_CAPTCHAS),
-            "No '%s' skin layer in some skins" % LAYER_DYNAMIC_CAPTCHAS)
+                        "No '%s' skin layer in some skins" %
+                        LAYER_DYNAMIC_CAPTCHAS)
 
     def test_imageSize(self):
         expect = 35
         self.publish(self.save_url + '&image_size=%s' % expect,
-             self.basic_auth)
+                     self.basic_auth)
 
         imsize = self.capprops.getProperty("image_size", 0)
-        self.assertTrue(imsize == expect, '"image_size" property ' \
-            'contains: "%s", must: "%s"' % (imsize, expect))
+        self.assertTrue(imsize == expect, '"image_size" property '
+                        'contains: "%s", must: "%s"' % (imsize, expect))
 
     def test_background(self):
         prop, expect = "background", "test-color"
         self.publish(self.save_url + '&%s=%s' % (prop, expect),
-             self.basic_auth)
+                     self.basic_auth)
 
         fact = self.capprops.getProperty(prop, "")
-        self.assertTrue(fact == expect, '"%s" property ' \
-            'contains: "%s", must: "%s"' % (prop, fact, expect))
+        self.assertTrue(fact == expect, '"%s" property '
+                        'contains: "%s", must: "%s"' % (prop, fact, expect))
 
     def test_fontColor(self):
         prop, expect = "font_color", "test-font-color"
         self.publish(self.save_url + '&%s=%s' % (prop, expect),
-             self.basic_auth)
+                     self.basic_auth)
 
         fact = self.capprops.getProperty(prop, "")
-        self.assertTrue(fact == expect, '"%s" property ' \
-            'contains: "%s", must: "%s"' % (prop, fact, expect))
+        self.assertTrue(fact == expect, '"%s" property '
+                        'contains: "%s", must: "%s"' % (prop, fact, expect))
 
     def test_period(self):
         prop, expect = "period", 22.3
         self.publish(self.save_url + '&%s=%s' % (prop, expect),
-             self.basic_auth)
+                     self.basic_auth)
 
         fact = self.capprops.getProperty(prop, 0)
-        self.assertTrue(fact == expect, '"%s" property ' \
-            'contains: "%s", must: "%s"' % (prop, fact, expect))
+        self.assertTrue(fact == expect, '"%s" property '
+                        'contains: "%s", must: "%s"' % (prop, fact, expect))
 
     def test_amplitude(self):
         prop, expect = "amplitude", 11.2
         self.publish(self.save_url + '&%s=%s' % (prop, expect),
-             self.basic_auth)
+                     self.basic_auth)
 
         fact = self.capprops.getProperty(prop, 0)
-        self.assertTrue(fact == expect, '"%s" property ' \
-            'contains: "%s", must: "%s"' % (prop, fact, expect))
+        self.assertTrue(fact == expect, '"%s" property '
+                        'contains: "%s", must: "%s"' % (prop, fact, expect))
 
     def test_random(self):
@@ -96,6 +98,6 @@
 
         fact = self.capprops.getProperty(prop, None)
-        self.assertTrue(fact == expect, '"%s" property ' \
-            'contains: "%s", must: "%s"' % (prop, fact, expect))
+        self.assertTrue(fact == expect, '"%s" property '
+                        'contains: "%s", must: "%s"' % (prop, fact, expect))
 
 
@@ -118,9 +120,9 @@
         form = re.match(reg_expr, self.view, re.I | re.S)
         self.assertNotEqual(form, None,
-            "No 'Plone Captchas Setup' form present on the configlet view")
+                            "No 'Plone Captchas Setup' form present on the configlet view")
         self.assertNotEqual(self.matchinput('form\.button\.form_submit'), None,
-            "No submit button on the form")
+                            "No submit button on the form")
         self.assertNotEqual(self.matchinput('static_captchas'), None,
-            "No static/dynamic radio button present on the configlet")
+                            "No static/dynamic radio button present on the configlet")
 
     def test_dynamic(self):
@@ -129,5 +131,5 @@
         for param in params:
             self.assertNotEqual(self.matchinput(param), None,
-                "'%s' form element absence on the configlet form" % param)
+                                "'%s' form element absence on the configlet form" % param)
 
 
Index: /quintagroup.captcha.core/trunk/quintagroup/captcha/core/tests/testDynamic.py
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/tests/testDynamic.py	(revision 3599)
+++ /quintagroup.captcha.core/trunk/quintagroup/captcha/core/tests/testDynamic.py	(revision 3600)
@@ -44,7 +44,7 @@
     def testPILImageFont(self):
         if not DYNAMIC_WORKABLE:
-            self.fail("You can not use Dynamic Captchas, only Static one " \
-                "unless install PIL with _imagingft C module into python, " \
-                "that is used for the current Zope instance.")
+            self.fail("You can not use Dynamic Captchas, only Static one "
+                      "unless install PIL with _imagingft C module into "
+                      "python, that is used for the current Zope instance.")
 
 
@@ -87,8 +87,9 @@
 
         img_ctype = img_html.getHeader('content-type')
-        self.assertTrue(img_ctype == 'image/jpeg', "Wrong content type for " \
-            "generated image: %s, must be 'image/jpeg'" % img_ctype)
-        self.assertTrue(img_html.status == 200, "Wrong response status: " \
-            "'%s', must be '200'" % img_html.status)
+        self.assertTrue(img_ctype == 'image/jpeg',
+                        "Wrong content type for generated image: %s, "
+                        "must be 'image/jpeg'" % img_ctype)
+        self.assertTrue(img_html.status == 200, "Wrong response status: "
+                        "'%s', must be '200'" % img_html.status)
 
 
Index: /quintagroup.captcha.core/trunk/quintagroup/captcha/core/tests/testInstallation.py
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/tests/testInstallation.py	(revision 3599)
+++ /quintagroup.captcha.core/trunk/quintagroup/captcha/core/tests/testInstallation.py	(revision 3600)
@@ -28,5 +28,5 @@
         pp = getToolByName(self.portal, 'portal_properties')
         self.assert_(not PROPERTY_SHEET in pp.objectIds(),
-            'Property sheet found after uninstallation')
+                     'Property sheet found after uninstallation')
 
     def testConfigletInstall(self):
@@ -83,5 +83,5 @@
         self.qi.uninstallProducts([PRODUCT_NAME])
         self.assertNotEqual(self.qi.isProductInstalled(PRODUCT_NAME), True,
-            '%s is already installed' % PRODUCT_NAME)
+                            '%s is already installed' % PRODUCT_NAME)
         self.assert_(not TOOL_ID in self.portal.objectIds())
 
Index: /quintagroup.captcha.core/trunk/quintagroup/captcha/core/tests/testStatic.py
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/tests/testStatic.py	(revision 3599)
+++ /quintagroup.captcha.core/trunk/quintagroup/captcha/core/tests/testStatic.py	(revision 3600)
@@ -83,6 +83,7 @@
         # set up a dummy state object
         self.dummycs = ControllerState(id='prefs_captchas_setup_form',
-            context=self.portal, button='submit', status='success',
-            errors={}, ext_action=None,)
+                                       context=self.portal, button='submit',
+                                       status='success', errors={},
+                                       ext_action=None,)
 
     def testGoodData(self):
Index: /quintagroup.captcha.core/trunk/quintagroup/captcha/core/utils.py
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/utils.py	(revision 3599)
+++ /quintagroup.captcha.core/trunk/quintagroup/captcha/core/utils.py	(revision 3600)
@@ -14,6 +14,7 @@
 from quintagroup.captcha.core.data import basic_english
 #import quintagroup.captcha.core configuration values
-from quintagroup.captcha.core.config import (DEFAULT_IMAGE_SIZE, DEFAULT_BG,
-    DEFAULT_FONT_COLOR, DEFAULT_DISTORTION, CAPTCHAS_COUNT)
+from quintagroup.captcha.core.config import (
+    DEFAULT_IMAGE_SIZE, DEFAULT_BG, DEFAULT_FONT_COLOR, DEFAULT_DISTORTION,
+    CAPTCHAS_COUNT)
 
 try:
@@ -119,5 +120,5 @@
                  xRows[j + 1][i + 1], yRows[j + 1][i + 1],
                  xRows[j][i + 1], yRows[j][i + 1]),
-                ))
+            ))
 
     img = image.transform(image.size, Image.MESH, mesh, Image.BILINEAR)